Bug 601037 (perl-MooseX-SetOnce) - Review Request: perl-MooseX-SetOnce - Write-once, read-many attributes for Moose
Summary: Review Request: perl-MooseX-SetOnce - Write-once, read-many attributes for Moose
Status: CLOSED ERRATA
Alias: perl-MooseX-SetOnce
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Chris Weyl
QA Contact: Fedora Extras Quality Assurance
URL: http://search.cpan.org/dist/MooseX-Se...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-07 03:47 UTC by Iain Arnell
Modified: 2010-06-21 12:59 UTC (History)
2 users (show)

Fixed In Version: perl-MooseX-SetOnce-0.100471-1.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-21 12:57:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
cweyl: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Iain Arnell 2010-06-07 03:47:09 UTC
Spec URL: http://fedorapeople.org/~iarnell/review/perl-MooseX-SetOnce.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perl-MooseX-SetOnce-0.100471-1.fc14.src.rpm

Description:
The 'SetOnce' attribute lets your class have attributes that are not lazy
and not set, but that cannot be altered once set.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2234593

*rt-0.10_01

Comment 1 Chris Weyl 2010-06-07 17:14:10 UTC
Another good, clean package.

koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=2234593

Spec looks sane, clean and consistent; license is correct (GPL+ or Artistic);
make test passes cleanly.

Latest version (0.100471) is being packaged.

Source tarballs match upstream (sha1sum):
6a2f46a997cf16933d647dba47cb6c7947d9847f MooseX-SetOnce-0.100471.tar.gz
6a2f46a997cf16933d647dba47cb6c7947d9847f MooseX-SetOnce-0.100471.tar.gz.srpm

Final provides / requires are sane:

====> rpmlint perl-MooseX-SetOnce.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

======> perl-MooseX-SetOnce-0.100471-1.fc14.noarch.rpm <======
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides
perl(Moose::Meta::Attribute::Custom::Trait::SetOnce) = 0.100471
perl(MooseX::SetOnce) = 0.100471
perl(MooseX::SetOnce::Accessor) = 0.100471
perl(MooseX::SetOnce::Attribute) = 0.100471
perl-MooseX-SetOnce = 0.100471-1.fc14
====> requires
perl(:MODULE_COMPAT_5.12.0)  
perl(Moose)  
perl(Moose::Role) >= 0.90
perl(strict)  
perl(warnings)  
====> obsoletes
====> conflicts

======> perl-MooseX-SetOnce-0.100471-1.fc14.src.rpm <======
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides
====> requires
perl(ExtUtils::MakeMaker) >= 6.11
perl(Moose)  
perl(Moose::Role) >= 0.90
perl(Test::More)  
perl(Try::Tiny)  
====> obsoletes
====> conflicts

APPROVED

Comment 2 Iain Arnell 2010-06-07 18:16:22 UTC
New Package CVS Request
=======================
Package Name: perl-MooseX-SetOnce
Short Description: Write-once, read-many attributes for Moose
Owners: iarnell
Branches: F-12 F-13
InitialCC: perl-sig

Comment 3 Kevin Fenzi 2010-06-07 21:18:03 UTC
CVS done (by process-cvs-requests.py).

Comment 4 Fedora Update System 2010-06-08 03:39:22 UTC
perl-MooseX-SetOnce-0.100471-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/perl-MooseX-SetOnce-0.100471-1.fc13

Comment 5 Fedora Update System 2010-06-08 03:39:27 UTC
perl-MooseX-SetOnce-0.100471-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/perl-MooseX-SetOnce-0.100471-1.fc12

Comment 6 Fedora Update System 2010-06-08 19:25:27 UTC
perl-MooseX-SetOnce-0.100471-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-MooseX-SetOnce'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-MooseX-SetOnce-0.100471-1.fc13

Comment 7 Fedora Update System 2010-06-08 19:39:53 UTC
perl-MooseX-SetOnce-0.100471-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-MooseX-SetOnce'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-MooseX-SetOnce-0.100471-1.fc12

Comment 8 Fedora Update System 2010-06-21 12:57:28 UTC
perl-MooseX-SetOnce-0.100471-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2010-06-21 12:59:54 UTC
perl-MooseX-SetOnce-0.100471-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.